<style>
#impresion{
   width:160px;
  
   margin: 0;
 
 padding: 0;
 
 
}
#titulo{

   margin: 0;
   text-align: center;
   padding: 0;
   
}

h6{
   margin: 0;
 
   padding: 0;

}

p {margin: 0; padding: 0;
font-size: 10px;
}


#totalll{
   text-align: center;

}
.valores{

   text-align:left;
}

</style>

<?php
date_default_timezone_set("America/Bogota");
$bodega=$_GET["bodega"];
$turno=$_GET["turno"];
include("../facturacion/datosimpresion.php");
?>


<div id="impresion" >

<div id="titulo">
     
<?php echo(" <h6>  $nombreNegocio</h6>
      <h6> $direccion</h6>
      ");?>
</div>

<?php
$fechaImpresionN=date('Y-m-d H:i:s');
$fecha=$_GET["fechai"];
$fechaf=$_GET["fechaf"];
$b5=number_format($_GET["b5"],2);
$i5=$_GET["i5"];
$b19=number_format($_GET["b19"],2);
$i19=number_format($_GET["i19"],2);

$efect=number_format($_GET["efect"]);
$tcredi=number_format($_GET["tcredi"]);
$tdebe=$_GET["tdebe"];
$credi=number_format($_GET["credi"]);
$nograbado=number_format($_GET["nograbado"]);
$excluido=number_format($_GET["excluido"]);

$devolucion=number_format($_GET["devolucion"]);
$compracred=number_format($_GET["compracred"]);
$compraconta=number_format($_GET["compraconta"]);
$abonos=number_format($_GET["abonos"]);
$total=number_format($_GET["total"]);
$tventa=number_format($_GET["tventa"]);
$compraiva5=number_format($_GET["compraiva5"]);
$comprabase5=number_format($_GET["comprabase5"]);
$compraiva19=number_format($_GET["compraiva19"]);
$comprabase19=number_format($_GET["comprabase19"]);
$compraexcento=number_format($_GET["compraexcento"]);
$compraexcluido=number_format($_GET["compraexcluido"]);


$compraivaotro=number_format($_GET["compraivaotro"]);
$comprabaseivaotro= number_format($_GET["comprabaseivaotro"]);

$ivaipcc=number_format($_GET["ivaipcc"],2);
$baseipc=number_format($_GET["baseipc"],2);
$ivaotro=number_format($_GET["ivaotro"],2);
$baseivaotro=number_format($_GET["baseivaotro"],2);

$efecVent=number_format($_GET["efecVent"]);


$gastos=number_format($_GET["gastoss"]);

$totalpos=number_format($_GET["totalpos"]);
$totalDomicilio=number_format($_GET["totalDomicilio"]);
$totalElectronico=number_format($_GET["totalElectronico"]);

$retirosEfe=number_format($_GET["retirosEfe"]);
// $bodega=$_GET["bodega"];
 
print("<br>");


print("<h6 class='empresa'>".$representante."</h6> ");
print(" <h6 class='empresa'>Nit:".$nit."</h6>  ");
print(" <h6 class='empresa'>$regimen </h6>");
print(" <h6 class='empresa'>Tel: ".$tel." </h6> ");

      
        echo("<hr>");



  //consultar facturar inicial y final segun fecha
       include("../../controlador/conexion/infocaja.php");
    
  
  
  //

  
  print("<p>Numero Informe : " .$numinforme." </p>");
print("<p>Fecha Informe : " .$fecha."Al " .$fechaf." </p>");
print("<p>Fecha Impresion: " .$fechaImpresionN." </p>");
print("<p>Facturas del: " .$factinicial." AL" .$factfinal."  </p>");
print("<p>Registros: " .$registro." </p>");
print("<p>Turno o Usuario: " .$turno." </p>");



echo("<hr>");
print("<div id='titulo'><h6>Detallado</h6> ");
echo("<hr>");

print("<div id='titulo'><h6>Resumen </h6> ");

print("<div class='valores'>");

      print ("<p class='val'>Efectivo Caja : ".$efect." </p>");
      print ("<p class='val'>Efectivo Venta: ".$efecVent."  </p>");
      print("<p >Transferencia : ".$tcredi." </p>");
      print("<p>Tarjetas : ".$tdebe." </p>");
      print("<p>Credicto Clientes : ".$credi." </p>");
      echo("<hr>");
      print("<p>Devoluciones : ".$devolucion." </p>");
      print("<p>Abonos : ".$abonos." </p>");
      print("<p>Gastos : ".$gastos." </p>");
      print("<p>Retiros : ".$retirosEfe." </p>");
print("<p>Compras Contado: ".$compraconta." </p>");

      echo("<br>");

    

      print("<div id='titulo'><h6>Impuestos Ventas</h6> ");



      print("<div class='valores'>");
               print("<p>Base5: ".$b5." </p>");
               print("<p>Iva 5%: ".$i5." </p>");
               print("<p>Base19: ".$b19." </p>");
               print("<p>Iva 19%: ".$i19." </p>");
               print("<p>Excento: ".$nograbado." </p>");
               print("<p>Excluido: ".$excluido." </p>");
      
               print("<p>iva_ipc: ".$ivaipcc." </p>");
               print("<p>base_ipc: ".$baseipc." </p>");
               print("<p>ivaotro: ".$ivaotro." </p>");
               print("<p>baseivaotro: ".$baseivaotro." </p>");
      
            
             
      
      
      print("</div>");   
      
print("</div>");


echo("<br>");





   print("<div id='titulo'><h6>Compras</h6> ");
if($nit=="42138206"){
   
}else{
  
   print("<div class='valores'>");
         print("<p>Compras Credito : ".$compracred." </p>");
         print("<p>Compras Contado: ".$compraconta." </p>");
         print("<p>Compras Iva5: ". $compraiva5." </p>");
         print("<p>Compras Base5: ". $comprabase5." </p>");
         print("<p>Compras Iva19: ". $compraiva19." </p>");
         print("<p>Compras Base19: ". $comprabase19." </p>");
         print("<p>Compras Excentas: ". $compraexcento." </p>");
         print("<p>Compras Excluido: ". $compraexcluido." </p>");

         print("<p>Compras ivaOtro: ". $compraivaotro." </p>");
         print("<p>Compras BaseOtro: ". $comprabaseivaotro." </p>");

   print("</div>");

   
}



echo("<hr>");

print("<div id='totalll'>");



echo(" <p> Total Pos:  ".$totalpos."</p>");
echo("<p> Total Domicilio:  ".$totalDomicilio."</p>");
echo("<p> Total Electronico:  ".$totalElectronico."</p>");
echo("<hr>");

echo(" <p> Total venta:  ".$tventa."</p>");
echo("<hr>");
echo("<p > Total Cuadre:  ".$total."</p>");
echo(" <p ".$oculto.">Valor Ingresado:  ".$valorIngresado."</p>");
echo("<p ".$oculto."> Diferencia:  ".$diferencia."</p>");
echo("<br>");


print("<div class='valores' ".$oculto."><h6>Detalle Cuadre</h6> ");


  
       
echo("<p> Efectivo Ingresado:  ".$ingreEfect."</p>");
echo("<p> Diferencia Efectivo:  ".$DiferenEfecti."</p>");
echo("<br>");
echo("<p> Trasferencias Ingresadas:  ".$ingresoTrasfer."</p>");
echo("<p> Diferencia Trasferencias:  ". $DiferenciTrasfer."</p>");
echo("<br>");
echo("<p> Tarejetas Ingresadas:  ".$ingresoTarjet."</p>");
echo("<p> Diferencia Tarjetas:  ". $DiferenciaTarjet."</p>");



echo("<hr>");

if($totalRecojidoCuadr>0){
   echo("<p> Nueva base Caja:  ".$baseCaja."</p>");
   echo("<p> Base Caja Anterior:  ".$basecajaAnterior."</p>"); 
   echo("<p> Efectivo 1:  ".$efectivo1."</p>"); 
   // echo("<p> Cuadre Monedas:  ".$diferenciaCuadreMoned."</p>"); 
   echo("<p> Dinero Entregado:  ".$dineroEntregadoOfic."</p>"); 
   // echo("<p> Total Cuadrado:  ".$totalRecojidoCuadr."</p>"); 
}
print("</div>");


  //consultar detalle de gastos
  include("../../controlador/conexion/detalleGasto.php");

  //para la reimpresion y control de los cuadres de caja
  include("../../controlador/conexion/informecaja.php");

?>

   <h6>Sistema Poscloud</h6>
</div>








<script type="text/javascript">
function imprimir(){
    window.print()
   //  
     let navegador = navigator.userAgent;
     if (navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/BlackBerry/i) || navigator.userAgent.match(/Windows Phone/i)) {
      
        } else{
         setTimeout(window.close, 300);
        }
 

    }

    setTimeout(imprimir,300);

</script>

</div>